htmlctx_be.h File Reference
`#include <gwenhywfar/htmlfont_be.h>`
`#include <gwenhywfar/htmlobject_be.h>`
`#include <gwenhywfar/htmlimage_be.h>`
`#include <gwenhywfar/xmlctx.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Typedefs

typedef uint32_t(* | HTMLCTX_GET_COLOR_FROM_NAME_FN) (const GWEN_XML_CONTEXT *ctx, const char *s)
typedef HTML_FONT *(* | HTMLCTX_GET_FONT_FN) (GWEN_XML_CONTEXT *ctx, const char *fontName, int fontSize, uint32_t fontFlags)
typedef HTML_IMAGE *(* | HTMLCTX_GET_IMAGE_FN) (GWEN_XML_CONTEXT *ctx, const char *imageName)
typedef int(* | HTMLCTX_GET_TEXT_HEIGHT_FN) (GWEN_XML_CONTEXT *ctx, HTML_FONT *fnt, const char *s)
typedef int(* | HTMLCTX_GET_TEXT_WIDTH_FN) (GWEN_XML_CONTEXT *ctx, HTML_FONT *fnt, const char *s)

## Functions

GWENHYWFAR_API void | HtmlCtx_AddMediaPath (GWEN_XML_CONTEXT *ctx, const char *s)
GWENHYWFAR_API HTML_FONT * | HtmlCtx_GetFont (GWEN_XML_CONTEXT *ctx, const char *fontName, int fontSize, uint32_t fontFlags)
GWENHYWFAR_API int | HtmlCtx_GetHeight (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API HTML_IMAGE * | HtmlCtx_GetImage (GWEN_XML_CONTEXT *ctx, const char *imageName)
GWENHYWFAR_API GWEN_STRINGLIST * | HtmlCtx_GetMediaPaths (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | HtmlCtx_GetResolutionX (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | HtmlCtx_GetResolutionY (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API HTML_OBJECT * | HtmlCtx_GetRootObject (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API HTML_PROPS * | HtmlCtx_GetStandardProps (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | HtmlCtx_GetWidth (const GWEN_XML_CONTEXT *ctx)
GWENHYWFAR_API int | HtmlCtx_Layout (GWEN_XML_CONTEXT *ctx, int width, int height)
GWENHYWFAR_API GWEN_XML_CONTEXT * | HtmlCtx_new (uint32_t flags)
GWENHYWFAR_API HTMLCTX_GET_COLOR_FROM_NAME_FN | HtmlCtx_SetGetColorFromNameFn (GWEN_XML_CONTEXT *ctx, HTMLCTX_GET_COLOR_FROM_NAME_FN fn)
GWENHYWFAR_API HTMLCTX_GET_FONT_FN | HtmlCtx_SetGetFontFn (GWEN_XML_CONTEXT *ctx, HTMLCTX_GET_FONT_FN fn)
GWENHYWFAR_API HTMLCTX_GET_IMAGE_FN | HtmlCtx_SetGetImageFn (GWEN_XML_CONTEXT *ctx, HTMLCTX_GET_IMAGE_FN fn)
GWENHYWFAR_API HTMLCTX_GET_TEXT_HEIGHT_FN | HtmlCtx_SetGetTextHeightFn (GWEN_XML_CONTEXT *ctx, HTMLCTX_GET_TEXT_HEIGHT_FN fn)
GWENHYWFAR_API HTMLCTX_GET_TEXT_WIDTH_FN | HtmlCtx_SetGetTextWidthFn (GWEN_XML_CONTEXT *ctx, HTMLCTX_GET_TEXT_WIDTH_FN fn)
GWENHYWFAR_API void | HtmlCtx_SetResolutionX (GWEN_XML_CONTEXT *ctx, int i)
GWENHYWFAR_API void | HtmlCtx_SetResolutionY (GWEN_XML_CONTEXT *ctx, int i)
GWENHYWFAR_API void | HtmlCtx_SetStandardProps (GWEN_XML_CONTEXT *ctx, HTML_PROPS *pr)
GWENHYWFAR_API void | HtmlCtx_SetText (GWEN_XML_CONTEXT *ctx, const char *s)

## Typedef Documentation

## HTMLCTX_GET_COLOR_FROM_NAME_FN

typedef uint32_t(* HTMLCTX_GET_COLOR_FROM_NAME_FN) (const GWEN_XML_CONTEXT *ctx, const char *s)

Definition at line 36 of file htmlctx_be.h.

## HTMLCTX_GET_FONT_FN

typedef HTML_FONT *(* HTMLCTX_GET_FONT_FN) (GWEN_XML_CONTEXT *ctx, const char *fontName, int fontSize, uint32_t fontFlags)

Definition at line 39 of file htmlctx_be.h.

## HTMLCTX_GET_IMAGE_FN

typedef HTML_IMAGE *(* HTMLCTX_GET_IMAGE_FN) (GWEN_XML_CONTEXT *ctx, const char *imageName)

Definition at line 44 of file htmlctx_be.h.

## HTMLCTX_GET_TEXT_HEIGHT_FN

typedef int(* HTMLCTX_GET_TEXT_HEIGHT_FN) (GWEN_XML_CONTEXT *ctx, HTML_FONT *fnt, const char *s)

Definition at line 31 of file htmlctx_be.h.

## HTMLCTX_GET_TEXT_WIDTH_FN

typedef int(* HTMLCTX_GET_TEXT_WIDTH_FN) (GWEN_XML_CONTEXT *ctx, HTML_FONT *fnt, const char *s)

Definition at line 27 of file htmlctx_be.h.

## Function Documentation

## HtmlCtx_AddMediaPath()

GWENHYWFAR_API void HtmlCtx_AddMediaPath | ( | GWEN_XML_CONTEXT * | ctx,
|  | const char * | s )

References GWENHYWFAR_API.

## HtmlCtx_GetFont()

GWENHYWFAR_API HTML_FONT * HtmlCtx_GetFont | ( | GWEN_XML_CONTEXT * | ctx,
|  | const char * | fontName,
|  | int | fontSize,
|  | uint32_t | fontFlags )

References GWENHYWFAR_API.

## HtmlCtx_GetHeight()

GWENHYWFAR_API int HtmlCtx_GetHeight | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetImage()

GWENHYWFAR_API HTML_IMAGE * HtmlCtx_GetImage | ( | GWEN_XML_CONTEXT * | ctx,
|  | const char * | imageName )

The implementation must set width and height in the image returned.

References GWENHYWFAR_API.

## HtmlCtx_GetMediaPaths()

GWENHYWFAR_API GWEN_STRINGLIST * HtmlCtx_GetMediaPaths | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetResolutionX()

GWENHYWFAR_API int HtmlCtx_GetResolutionX | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetResolutionY()

GWENHYWFAR_API int HtmlCtx_GetResolutionY | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetRootObject()

GWENHYWFAR_API HTML_OBJECT * HtmlCtx_GetRootObject | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetStandardProps()

GWENHYWFAR_API HTML_PROPS * HtmlCtx_GetStandardProps | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_GetWidth()

GWENHYWFAR_API int HtmlCtx_GetWidth | ( | const GWEN_XML_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## HtmlCtx_Layout()

GWENHYWFAR_API int HtmlCtx_Layout | ( | GWEN_XML_CONTEXT * | ctx,
|  | int | width,
|  | int | height )

References GWENHYWFAR_API.

## HtmlCtx_new()

GWENHYWFAR_API GWEN_XML_CONTEXT * HtmlCtx_new | ( | uint32_t | flags | ) |

References GWENHYWFAR_API.

## HtmlCtx_SetGetColorFromNameFn()

GWENHYWFAR_API HTMLCTX_GET_COLOR_FROM_NAME_FN HtmlCtx_SetGetColorFromNameFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTMLCTX_GET_COLOR_FROM_NAME_FN | fn )

References GWENHYWFAR_API.

## HtmlCtx_SetGetFontFn()

GWENHYWFAR_API HTMLCTX_GET_FONT_FN HtmlCtx_SetGetFontFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTMLCTX_GET_FONT_FN | fn )

References GWENHYWFAR_API.

## HtmlCtx_SetGetImageFn()

GWENHYWFAR_API HTMLCTX_GET_IMAGE_FN HtmlCtx_SetGetImageFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTMLCTX_GET_IMAGE_FN | fn )

## HtmlCtx_SetGetTextHeightFn()

GWENHYWFAR_API HTMLCTX_GET_TEXT_HEIGHT_FN HtmlCtx_SetGetTextHeightFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTMLCTX_GET_TEXT_HEIGHT_FN | fn )

References GWENHYWFAR_API.

## HtmlCtx_SetGetTextWidthFn()

GWENHYWFAR_API HTMLCTX_GET_TEXT_WIDTH_FN HtmlCtx_SetGetTextWidthFn | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTMLCTX_GET_TEXT_WIDTH_FN | fn )

References GWENHYWFAR_API.

## HtmlCtx_SetResolutionX()

GWENHYWFAR_API void HtmlCtx_SetResolutionX | ( | GWEN_XML_CONTEXT * | ctx,
|  | int | i )

References GWENHYWFAR_API.

## HtmlCtx_SetResolutionY()

GWENHYWFAR_API void HtmlCtx_SetResolutionY | ( | GWEN_XML_CONTEXT * | ctx,
|  | int | i )

References GWENHYWFAR_API.

## HtmlCtx_SetStandardProps()

GWENHYWFAR_API void HtmlCtx_SetStandardProps | ( | GWEN_XML_CONTEXT * | ctx,
|  | HTML_PROPS * | pr )

References GWENHYWFAR_API.

## HtmlCtx_SetText()

GWENHYWFAR_API void HtmlCtx_SetText | ( | GWEN_XML_CONTEXT * | ctx,
|  | const char * | s )

References GWENHYWFAR_API.